module ModTest3 interface;

export
  ModTest = (i, DoTest);

var
  i: integer;


procedure DoTest;


end.


module ModTest3 implementation;


procedure DoTest;
begin
end;


to begin do  begin
  i := -9;
end;


end.


program Test(output);

import
  ModTest;

begin
  DoTest;
  if i = -9
    then  writeln('OK')
    else  writeln('failed');
end.
